#include <avr/io.h>
#include <avr/signal.h>
#include <avr/interrupt.h>

#define F_CPU 8000000
#define USART_BAUD_RATE 19200
#define USART_BAUD_SELECT (F_CPU/(USART_BAUD_RATE*16l)-1)

SIGNAL (SIG_OVERFLOW0)
{
		/*Transmit 'x'*/
		while (!(UCSRA & (1<<UDRE)));
		UDR = 'x';
}


int main (void)
{
	/*Timer Init*/
	TCCR0 = (1<<CS02) | (1<<CS00);
	TIMSK |= (1<<TOIE0);

	/*USART Init --> 19200 Baud*/
	UCSRB |= (1<<TXEN);
    UBRRL = (unsigned char) USART_BAUD_SELECT;

	sei ();

	for (;;);
	return 0;
}

